Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Enum Class FBStatement.StatementResult

java.lang.Object
java.lang.Enum<FBStatement.StatementResult>
org.firebirdsql.jdbc.FBStatement.StatementResult

All Implemented Interfaces:
  `Serializable`, `Comparable<FBStatement.StatementResult>`, `Constable`

Enclosing class:
  FBStatement

protected static enum FBStatement.StatementResult extends Enum<FBStatement.StatementResult>
The current result of a statement.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO_MORE_RESULTS`
  `RESULT_SET`
  `RESULT_SET_WITH_UPDATE_COUNT`
  `UPDATE_COUNT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `isResultSet()`
  `abstract FBStatement.StatementResult`
  `nextResult()`
  `static FBStatement.StatementResult`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FBStatement.StatementResult[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RESULT_SET

    public static final FBStatement.StatementResult RESULT_SET

  - ### RESULT_SET_WITH_UPDATE_COUNT

    public static final FBStatement.StatementResult RESULT_SET_WITH_UPDATE_COUNT

  - ### UPDATE_COUNT

    public static final FBStatement.StatementResult UPDATE_COUNT

  - ### NO_MORE_RESULTS

    public static final FBStatement.StatementResult NO_MORE_RESULTS

- ## Method Details

  - ### values

    public static FBStatement.StatementResult[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FBStatement.StatementResult valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### nextResult

    public abstract FBStatement.StatementResult nextResult()
    Returns:
      Next result

  - ### isResultSet

    public final boolean isResultSet()